Summary: Tools for working with sysfs
Name: sysfsutils
Version: 2.1.0
Release: r5.0
License: GPLv2 & LGPLv2.1
Group: base
Packager: Wind River <info@windriver.com>
URL: http://linux-diag.sourceforge.net/Sysfsutils.html
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libc.so.6()(64bit)
Requires: libsysfs2 >= 2.1.0
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.22
Requires: libsysfs.so.2()(64bit)
Requires: libc.so.6(GLIBC_2.7)(64bit)
Provides: elf(buildid) = 58bf9a2d657374c2dc57237c3c7dd8a5bdd2ff98
Provides: elf(buildid) = f804d86a9232e81907f150dbd32f34603f1bd8d7
Provides: elf(buildid) = ac3a1c927d71314864bae741da68d4113037bf59
Provides: elf(buildid) = b957b8b24bba63bb98bbad42b2de7286abe52374
Provides: elf(buildid) = 880877fca3ffae389ea61862d2ddbc2721851590

%description
Tools for working with the sysfs virtual filesystem.  The tool 'systool'
can query devices by bus, class and topology.

%package -n libsysfs2
Summary: Tools for working with sysfs
License: LGPLv2.1
Group: base
Requires: rtld(GNU_HASH)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc6 >= 2.22
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc6 >= 2.22
Provides: libsysfs.so.2()(64bit)
Provides: libsysfs = 2.1.0
Provides: elf(buildid) = 81a0b073df9871dc4b9284d5db0bba03d1d9cf4d

%description -n libsysfs2
Tools for working with the sysfs virtual filesystem.  The tool 'systool'
can query devices by bus, class and topology.

%package -n sysfsutils-dbg
Summary: Tools for working with sysfs - Debugging files
Group: devel
Suggests: libc6-dbg
Suggests: libsysfs-dbg
Recommends: sysfsutils = 2.1.0-r5.0

%description -n sysfsutils-dbg
Tools for working with the sysfs virtual filesystem.  The tool 'systool'
can query devices by bus, class and topology.  This package contains ELF
symbols and related sources for debugging purposes.

%package -n sysfsutils-staticdev
Summary: Tools for working with sysfs - Development files (Static Libraries)
Group: devel
Requires: sysfsutils-dev = 2.1.0-r5.0

%description -n sysfsutils-staticdev
Tools for working with the sysfs virtual filesystem.  The tool 'systool'
can query devices by bus, class and topology.  This package contains static
libraries for software development.

%package -n sysfsutils-dev
Summary: Tools for working with sysfs - Development files
Group: devel
Requires: libsysfs2
Requires: sysfsutils = 2.1.0-r5.0
Suggests: libc6-dev
Suggests: libsysfs-dev

%description -n sysfsutils-dev
Tools for working with the sysfs virtual filesystem.  The tool 'systool'
can query devices by bus, class and topology.  This package contains
symbolic links, header files, and related items necessary for software
development.

%package -n sysfsutils-doc
Summary: Tools for working with sysfs - Documentation files
Group: doc

%description -n sysfsutils-doc
Tools for working with the sysfs virtual filesystem.  The tool 'systool'
can query devices by bus, class and topology.  This package contains
documentation.

%package -n sysfsutils-locale
Summary: Tools for working with sysfs
Group: base

%description -n sysfsutils-locale
Tools for working with the sysfs virtual filesystem.  The tool 'systool'
can query devices by bus, class and topology.

%post -n libsysfs2
# libsysfs2 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/bin"
"/usr/bin/get_module"
"/usr/bin/get_driver"
"/usr/bin/systool"
"/usr/bin/get_device"
"/usr/bin/dlist_test"

%files -n libsysfs2
%defattr(-,-,-,-)
%dir "/lib64"
"/lib64/libsysfs.so.2.0.1"
"/lib64/libsysfs.so.2"

%files -n sysfsutils-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/lib64"
%dir "/usr/bin"
%dir "/usr/src"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/get_module"
"/usr/bin/.debug/get_driver"
"/usr/bin/.debug/systool"
"/usr/bin/.debug/get_device"
"/usr/bin/.debug/dlist_test"
%dir "/usr/src/debug"
%dir "/usr/src/debug/sysfsutils"
%dir "/usr/src/debug/sysfsutils/2.1.0-r5"
%dir "/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0"
%dir "/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0/lib"
%dir "/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0/cmd"
%dir "/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0/test"
%dir "/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0/include"
"/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0/lib/sysfs_driver.c"
"/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0/lib/sysfs_bus.c"
"/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0/lib/sysfs_attr.c"
"/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0/lib/dlist.c"
"/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0/lib/sysfs_device.c"
"/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0/lib/sysfs_utils.c"
"/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0/lib/sysfs_module.c"
"/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0/lib/sysfs.h"
"/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0/lib/sysfs_class.c"
"/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0/cmd/names.h"
"/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0/cmd/systool.c"
"/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0/cmd/names.c"
"/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0/test/get_module.c"
"/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0/test/get_device.c"
"/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0/test/dlist_test.c"
"/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0/test/get_driver.c"
"/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0/include/libsysfs.h"
"/usr/src/debug/sysfsutils/2.1.0-r5/sysfsutils-2.1.0/include/dlist.h"
%dir "/lib64/.debug"
"/lib64/.debug/libsysfs.so.2.0.1"

%files -n sysfsutils-staticdev
%defattr(-,-,-,-)
%dir "/lib64"
"/lib64/libsysfs.a"

%files -n sysfsutils-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/lib64"
%dir "/usr/include"
%dir "/usr/include/sysfs"
"/usr/include/sysfs/libsysfs.h"
"/usr/include/sysfs/dlist.h"
"/lib64/libsysfs.so"
"/lib64/libsysfs.la"

%files -n sysfsutils-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/man/man1"
"/usr/share/man/man1/systool.1"

